Bug 1014535 - [Doc Change] Document new features of 6.2 EAP installer
[Doc Change] Document new features of 6.2 EAP installer
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: GA
: EAP 6.3.0
Assigned To: sgilda
Russell Dickenson
: Documentation, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 05:54 EDT by Petr Kremensky
Modified: 2014-09-29 14:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 14873, Installation Guide-6.2-1 Build Date: 02-10-2013 13:30:46 Topic ID: 13006-458119 [Latest]
Last Closed: 2014-06-28 11:39:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-02 05:54:11 EDT
Title: Install JBoss EAP 6 (Graphical Installer)

Describe the issue:
There are some new feature of EAP 6.2 istaller (both graphical and console), we should mention this in documentation and make links to corresponding chapters.

BZ901180 - Installer: Add SSL keystore to management interface
BZ1006532 - Installer: JDBC driver installer feature
BZ1006533 - Installer: Add security-domain configuration
BZ1006535 - Installer: Add password vault configuration
BZ1006540 - Installer: Enable LDAP authentication
BZ1006548 - Installer: Create infinispan cache
Comment 2 Petr Kremensky 2014-05-30 04:30:07 EDT
Hi Nidhi,
I have a few suggestions again :).

1) --------------------
Table 4.2. JBoss EAP Installation Program Screens
Remove the "Choose Enable SSL Security. If you do not wish to enable SSL security choose Do not enable SSL security" part from SSL description as once user is on the screen there is no such an option.

2) --------------------
I would rephrase the Infinispan description as following:
Create an Infinispan cache for managing cached data and click Next. Give an Infinispan name and configure the other fields. For more information see: Administration and Configuration Guide, "Enable Infinispan Statistics Collection"
 -->>
Create an Infinispan cache for managing cached data. Give an Infinispan name, configure the other fields and click Next. For more information see: Administration and Configuration Guide, "Enable Infinispan Statistics Collection"

3) --------------------
Alter the link to Infinispan documentation. This is now pointing to '⁠14.2. About Infinispan Statistics', but I believe it should point to 'Chapter 14. Infinispan'. Section 14.2. is just about enabling the statistics, but doesn't contain any information about infinispan itself. If we point user to Chapter 14. first link he came into is pointing to JSR-107 where is all said.

4) --------------------
User is able to configure a Datasource once he setup a JDBC driver (see Install Datasource checkbox on 'Configure runtime environment' screen), however this option is not documented (there is no screenshot for this, shall I create a separate BZ for this?)

You can use followind link as "For more information see" link:
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/Administration_and_Configuration_Guide/index.html#sect-Datasource_Configuration

5) --------------------
Alter the link to JDBC documentation to http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/Administration_and_Configuration_Guide/index.html#chap-Datasource_Management

Feel free to aks, if anything is unclear.

Thanks,
Petr
Comment 4 Petr Kremensky 2014-05-30 05:55:22 EDT
Looking good to me.
Comment 6 Petr Kremensky 2014-06-03 06:09:36 EDT
Verified during EAP 6.3.0.ER5 testing cycle.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html/Installation_Guide/Run_the_JBoss_EAP_Installation_Program.html

Revision 6.3.0-16

Can you please explain me, why are links to another book forbidden (it would be nice to have click-able link instead of book/chapter name)? I remember there is such a rule, but cannot remember why :). Thanks.
Comment 8 Petr Kremensky 2014-06-11 09:11:33 EDT
Hi Nidhi, 
I see that your changes are no longer available in Revision 6.3.0-18 [1]. There were some changes made as a part of BZ1105144, can you please look into it? Thanks.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/Installation_Guide/#Run_the_JBoss_EAP_Installation_Program
Comment 9 sgilda 2014-06-11 10:13:15 EDT
Nidhi, I'll take this one.

I need to investigate why the conditionals used to prevent advanced installation options from appearing in the Getting Started Guide also prevented them from appearing in the Installation Guide.

Note You need to log in before you can comment on or make changes to this bug.